import { BaseOpenApiV3_1ConverterNode, } from "../../BaseOpenApiV3_1Converter.node";
import { extendType } from "../../utils/extendType";
import { X_FERN_WEBHOOK } from "./fernExtension.consts";
export class XFernWebhookConverterNode extends BaseOpenApiV3_1ConverterNode {
    isWebhook;
    constructor(args) {
        super(args);
        this.safeParse();
    }
    parse() {
        this.isWebhook = extendType(this.input)[X_FERN_WEBHOOK];
    }
    convert() {
        return this.isWebhook;
    }
}
